<?php 
/*Template Name: Add Field */
get_header(); 
acf_form_head();
if(is_user_logged_in() && current_user_can( 'manage_options' )){
    if (isset($_POST["add_to_category"])){
        $custom_add_title = $_POST['custom_add_title'];
        $product_cat = $_POST['prd_cat'];
        $custom_add_title_underscored = str_replace(' ', '_', $custom_add_title);
    }
?>
<div class="main-wrapper">
<?php while ( have_posts() ) : the_post(); ?>
<div class="body-container pt-5 admin-pages">
    <div class="header"><h1>Dashboard</h1></div>
</div>
<div class="clearfix"></div>
<?php endwhile; ?>
<div class="page-container">
    <div class="body-container pt-5 admin-pages no-border">
        <div id="main-container">
            <div class="reg-form-box">
                <h2 class="admin-page-sub-title">Add Field</h2>
                <form id="addCustomFields" action="" method="post">
                    <div class="offers">
                    
                    <div class="input-field col-lg-12">
                        <label class="categories-header">Title</label>
                        <input type="text" id="custom_add_title" name="custom_add_title" placeholder="Add Title" required="required">
                    </div>
                    <div class="input-field col-lg-12">
                        <label class="categories-header">Categories</label>
                        <?php 
                            $categories = get_categories( array(
                                'orderby' => 'name',
                                'order'   => 'ASC',
                                'hide_empty' => false
                            ) );
                        ?>
                        <ul class="list-block">
                            <?php foreach( $categories as $category ){?>
                                <?php if($category->term_id != 1){?> 
                                <li id="prd-category-<?php echo $category->term_id;?>"><input id="prd-in-category-<?php echo $category->term_id;?>" type="radio" name="prd_cat[]" value="<?php echo $category->term_id;?>" /></li>
                                <label><?php echo $category->name;?></label>
                                <?php }?>
                            <?php }?>
                        </ul>
                    </div>
                       
                    </div>
                    <div class="input-field submit col-lg-12">
                        <input type="submit" name="add_to_category" value="Add To Category" />
                    </div>
                </form>            
                <div class="category-container product-container field-container">
                    <h2 class="admin-page-sub-title">Manage Fields</h2>
                    <?php 
                        $all_fields_gas = acf_get_fields(244);
                        $all_fields_insurance = acf_get_fields(268);
                        $all_fields_internet = acf_get_fields(65);
                        $all_fields_light = acf_get_fields(221);
                        $all_fields_mobile = acf_get_fields(269);
                        
                        $all_fields_gas_custom = acf_get_fields(276);
                        $all_fields_insurance_custom = acf_get_fields(277);
                        $all_fields_internet_custom = acf_get_fields(278);
                        $all_fields_light_custom = acf_get_fields(279);
                        $all_fields_mobile_custom = acf_get_fields(280);
                        //echo '<pre>';
                        //print_r($all_fields_gas);
                    ?>
                    <div class="product-container-inner">
                        <div class="field-title-container-single"><a href="javascript:void(0);" id="catGas" href="">Gas</a></div>
                        <div class="field-container-single field-container-gas">
                            <div class="product-container-single row m-0">
                                <div class="col"><p>Fields</p></div>
                                <div class="col"><p>Remove Fields</p></div>
                            </div>                        
                            <?php foreach($all_fields_gas as $all_gas_key => $all_gas_val){?>
                                <div class="product-container-single row m-0">
                                    <div class="col"><?php echo $all_gas_val['label'];?></div>
                                    <div class="col"><a class="del-btn" href="javascript:void(0);">Delete Field</a><div class="deleteAlert-container"><div class="deleteAlert"><p>Are you sure you want to delete this field?</p><div class="delete-btn-container"><a class="delete-btn-field" field-id="<?php echo $all_gas_val['ID'];?>" href="javascript:void(0)">YES</a><a class="cancel-btn" href="javascript:void(0)">NO</a></div></div></div></div>
                                </div>
                            <?php }?>
                            <?php foreach($all_fields_gas_custom as $all_gas_key_custom => $all_gas_val_custom){?>
                                <div class="product-container-single row m-0">
                                    <div class="col"><?php echo $all_gas_val_custom['label'];?></div>
                                    <div class="col"><a class="del-btn" href="javascript:void(0);">Delete Field</a><div class="deleteAlert-container"><div class="deleteAlert"><p>Are you sure you want to delete this field?</p><div class="delete-btn-container"><a class="delete-btn-field" field-id="<?php echo $all_gas_val_custom['ID'];?>" href="javascript:void(0)">YES</a><a class="cancel-btn" href="javascript:void(0)">NO</a></div></div></div></div>
                                </div>
                            <?php }?>
                        </div>
                        
                        <div class="field-title-container-single"><a href="javascript:void(0);" id="catInsurance" href="">Insurance</a></div>
                        <div class="field-container-single field-container-gas">
                            <div class="product-container-single row m-0">
                                <div class="col"><p>Fields</p></div>
                                <div class="col"><p>Remove Fields</p></div>
                            </div>                        
                            <?php foreach($all_fields_insurance as $all_insurance_key => $all_insurance_val){?>
                                <div class="product-container-single row m-0">
                                    <div class="col"><?php echo $all_insurance_val['label'];?></div>
                                    <div class="col"><a class="del-btn" href="javascript:void(0);">Delete Field</a><div class="deleteAlert-container"><div class="deleteAlert"><p>Are you sure you want to delete this field?</p><div class="delete-btn-container"><a class="delete-btn-field" field-id="<?php echo $all_insurance_val['ID'];?>" href="javascript:void(0)">YES</a><a class="cancel-btn" href="javascript:void(0)">NO</a></div></div></div></div>
                                </div>
                            <?php }?>
                            <?php foreach($all_fields_insurance_custom as $all_insurance_key_custom => $all_insurance_val_custom){?>
                                <div class="product-container-single row m-0">
                                    <div class="col"><?php echo $all_insurance_val_custom['label'];?></div>
                                    <div class="col"><a class="del-btn" href="javascript:void(0);">Delete Field</a><div class="deleteAlert-container"><div class="deleteAlert"><p>Are you sure you want to delete this field?</p><div class="delete-btn-container"><a class="delete-btn-field" field-id="<?php echo $all_insurance_val_custom['ID'];?>" href="javascript:void(0)">YES</a><a class="cancel-btn" href="javascript:void(0)">NO</a></div></div></div></div>
                                </div>
                            <?php }?>
                        </div>
                        
                        <div class="field-title-container-single"><a href="javascript:void(0);" id="catInternet" href="">Internet</a></div>
                        <div class="field-container-single field-container-gas">
                            <div class="product-container-single row m-0">
                                <div class="col"><p>Fields</p></div>
                                <div class="col"><p>Remove Fields</p></div>
                            </div>                        
                            <?php foreach($all_fields_internet as $all_internet_key => $all_internet_val){?>
                                <div class="product-container-single row m-0">
                                    <div class="col"><?php echo $all_internet_val['label'];?></div>
                                    <div class="col"><a class="del-btn" href="javascript:void(0);">Delete Field</a><div class="deleteAlert-container"><div class="deleteAlert"><p>Are you sure you want to delete this field?</p><div class="delete-btn-container"><a class="delete-btn-field" field-id="<?php echo $all_internet_val['ID'];?>" href="javascript:void(0)">YES</a><a class="cancel-btn" href="javascript:void(0)">NO</a></div></div></div></div>
                                </div>
                            <?php }?>
                            <?php foreach($all_fields_internet_custom as $all_internet_key_custom => $all_internet_val_custom){?>
                                <div class="product-container-single row m-0">
                                    <div class="col"><?php echo $all_internet_val_custom['label'];?></div>
                                    <div class="col"><a class="del-btn" href="javascript:void(0);">Delete Field</a><div class="deleteAlert-container"><div class="deleteAlert"><p>Are you sure you want to delete this field?</p><div class="delete-btn-container"><a class="delete-btn-field" field-id="<?php echo $all_internet_val_custom['ID'];?>" href="javascript:void(0)">YES</a><a class="cancel-btn" href="javascript:void(0)">NO</a></div></div></div></div>
                                </div>
                            <?php }?>
                        </div>
                        
                        <div class="field-title-container-single"><a href="javascript:void(0);" id="catLight" href="">Light</a></div>
                        <div class="field-container-single field-container-gas">
                            <div class="product-container-single row m-0">
                                <div class="col"><p>Fields</p></div>
                                <div class="col"><p>Remove Fields</p></div>
                            </div>                        
                            <?php foreach($all_fields_light as $all_light_key => $all_light_val){?>
                                <div class="product-container-single row m-0">
                                    <div class="col"><?php echo $all_light_val['label'];?></div>
                                    <div class="col"><a class="del-btn" href="javascript:void(0);">Delete Field</a><div class="deleteAlert-container"><div class="deleteAlert"><p>Are you sure you want to delete this field?</p><div class="delete-btn-container"><a class="delete-btn-field" field-id="<?php echo $all_light_val['ID'];?>" href="javascript:void(0)">YES</a><a class="cancel-btn" href="javascript:void(0)">NO</a></div></div></div></div>
                                </div>
                            <?php }?>
                            <?php foreach($all_fields_light_custom as $all_light_key_custom => $all_light_val_custom){?>
                                <div class="product-container-single row m-0">
                                    <div class="col"><?php echo $all_light_val_custom['label'];?></div>
                                    <div class="col"><a class="del-btn" href="javascript:void(0);">Delete Field</a><div class="deleteAlert-container"><div class="deleteAlert"><p>Are you sure you want to delete this field?</p><div class="delete-btn-container"><a class="delete-btn-field" field-id="<?php echo $all_light_val_custom['ID'];?>" href="javascript:void(0)">YES</a><a class="cancel-btn" href="javascript:void(0)">NO</a></div></div></div></div>
                                </div>
                            <?php }?>
                        </div>
                        
                        <div class="field-title-container-single"><a href="javascript:void(0);" id="catMobile" href="">Mobile</a></div>
                        <div class="field-container-single field-container-gas">
                            <div class="product-container-single row m-0">
                                <div class="col"><p>Fields</p></div>
                                <div class="col"><p>Remove Fields</p></div>
                            </div>                        
                            <?php foreach($all_fields_mobile as $all_mobile_key => $all_mobile_val){?>
                                <div class="product-container-single row m-0">
                                    <div class="col"><?php echo $all_mobile_val['label'];?></div>
                                    <div class="col"><a class="del-btn" href="javascript:void(0);">Delete Field</a><div class="deleteAlert-container"><div class="deleteAlert"><p>Are you sure you want to delete this field?</p><div class="delete-btn-container"><a class="delete-btn-field" field-id="<?php echo $all_mobile_val['ID'];?>" href="javascript:void(0)">YES</a><a class="cancel-btn" href="javascript:void(0)">NO</a></div></div></div></div>
                                </div>
                            <?php }?>
                            <?php foreach($all_fields_mobile_custom as $all_mobile_key_custom => $all_mobile_val_custom){?>
                                <div class="product-container-single row m-0">
                                    <div class="col"><?php echo $all_mobile_val_custom['label'];?></div>
                                    <div class="col"><a class="del-btn" href="javascript:void(0);">Delete Field</a><div class="deleteAlert-container"><div class="deleteAlert"><p>Are you sure you want to delete this field?</p><div class="delete-btn-container"><a class="delete-btn-field" field-id="<?php echo $all_mobile_val_custom['ID'];?>" href="javascript:void(0)">YES</a><a class="cancel-btn" href="javascript:void(0)">NO</a></div></div></div></div>
                                </div>
                            <?php }?>
                        </div>                      
                    </div>
                </div>
            </div>
        </div>
        <?php get_sidebar();?>
        <div class="my-clearfix"></div>
    </div>
</div>
</div>
<script>
    var myAjax = "<?php echo admin_url( 'admin-ajax.php' ); ?>";
    jQuery('#addCustomFields').submit(function(e){
        e.preventDefault();
        jQuery.ajax({
            type: "POST",
            url: myAjax,
            data: jQuery('#addCustomFields').serialize()+ "&action=add_new_field",
            cache: false,
            success: function(data){
                alert(data);
                window.location.href = window.location.href;
            }
        });
    });
</script>
<?php }?>
<?php get_footer(); ?>