<?php
error_reporting(E_ERROR | E_PARSE);
function trenza_theme_setup() {
    add_theme_support( 'post-thumbnails' );
    // Add default posts and comments RSS feed links to head.
    add_theme_support( 'automatic-feed-links' );
    add_theme_support( 'title-tag' );
    //add_image_size('home_news', 411, 180, true);
    add_theme_support( 'html5', array(
		'search-form',
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );
    
    register_nav_menus( array(
		'primary'   => __( 'Top primary menu', 'twentyfourteen' ),
		'secondary' => __( 'Secondary menu in left sidebar', 'twentyfourteen' ),
	) );
    
    add_theme_support( 'custom-logo' );
    add_image_size( 'operator-logo', 173, 150, true );
}  
add_action( 'after_setup_theme', 'trenza_theme_setup' ); 

add_action( 'init', 'my_script_enqueuer' );

function my_script_enqueuer() {
   wp_register_script( "my_scripts", get_template_directory_uri() . '/js/scripts.js', array('jquery') );
   wp_localize_script( 'my_scripts', 'myAjax', array( 'ajaxurl' => admin_url( 'admin-ajax.php' )));        

   wp_enqueue_script( 'jquery' );
   wp_enqueue_script( 'my_scripts' );

}


function trenza_theme_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Footer Widget 1', 'trenza' ),
		'id'            => 'sidebar-1',
		'description'   => __( 'Footer social media area.', 'trenza' ),
		'before_widget' => '<div class="col">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Widget 2', 'trenza' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Footer company menu.', 'trenza' ),
		'before_widget' => '<div class="col">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer Widget 3', 'trenza' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Footer help menu.', 'trenza' ),
		'before_widget' => '<div class="col">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
    register_sidebar( array(
		'name'          => __( 'Footer Widget 4', 'trenza' ),
		'id'            => 'sidebar-4',
		'description'   => __( 'Footer product menu', 'trenza' ),
		'before_widget' => '<div class="col">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
    register_sidebar( array(
		'name'          => __( 'Footer Widget 5', 'trenza' ),
		'id'            => 'sidebar-5',
		'description'   => __( 'Footer search area', 'trenza' ),
		'before_widget' => '<div class="col">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
}
add_action( 'widgets_init', 'trenza_theme_widgets_init' );

if( function_exists('acf_add_options_page') ) {
    	
    	acf_add_options_page(array(
    		'page_title' 	=> 'Theme General Settings',
    		'menu_title'	=> 'Theme Settings',
    		'menu_slug' 	=> 'theme-general-settings',
    		'capability'	=> 'edit_posts',
    		'redirect'		=> false
    	));
    	
    	acf_add_options_sub_page(array(
    		'page_title' 	=> 'Home Page Blocks',
    		'menu_title'	=> 'Home Blocks',
    		'parent_slug'	=> 'theme-general-settings',
    	));
        
        acf_add_options_sub_page(array(
    		'page_title' 	=> 'Category Page',
    		'menu_title'	=> 'Category Page Blocks',
    		'parent_slug'	=> 'theme-general-settings',
    	));
    	
}


// Register Custom Taxonomy
function tag_synchro() {

$labels = array(
    'name'                       => _x( 'Offer Type', 'Taxonomy General Name' ),
    'singular_name'              => _x( 'Offer Type', 'Taxonomy Singular Name' ),
    'menu_name'                  => __( 'Offer Type' ),
    'all_items'                  => __( 'All Offer Type' ),
    'parent_item'                => __( 'Parent Offer Type' ),
    'parent_item_colon'          => __( 'Parent Offer Type:' ),
    'new_item_name'              => __( 'New Offer Type Name' ),
    'add_new_item'               => __( 'Add New Offer Type' ),
    'edit_item'                  => __( 'Edit Offer Type' ),
    'update_item'                => __( 'Update Offer Type' ),
    'search_items'               => __( 'Search Offer Type' ),
);
$args = array(
    'labels'                     => $labels,
    'hierarchical'               => true,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
    'show_tagcloud'              => true,
    'update_count_callback'      => '_update_post_term_count',
    'query_var'             => true,
    'rewrite'               => array( 'slug' => 'offer-type' ),
);

$labels_offer_kind = array(
    'name'                       => _x( 'Offer Kind', 'Taxonomy General Name' ),
    'singular_name'              => _x( 'Offer Kind', 'Taxonomy Singular Name' ),
    'menu_name'                  => __( 'Offer Kind' ),
    'all_items'                  => __( 'All Offer Kind' ),
    'parent_item'                => __( 'Parent Offer Kind' ),
    'parent_item_colon'          => __( 'Parent Offer Kind:' ),
    'new_item_name'              => __( 'New Offer Kind Name' ),
    'add_new_item'               => __( 'Add New Offer Kind' ),
    'edit_item'                  => __( 'Edit Offer Kind' ),
    'update_item'                => __( 'Update Offer Kind' ),
    'search_items'               => __( 'Search Offer Kind' ),
);
$args_offer_kind = array(
    'labels'                     => $labels_offer_kind,
    'hierarchical'               => true,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
    'show_tagcloud'              => true,
    'update_count_callback'      => '_update_post_term_count',
    'query_var'             => true,
    'rewrite'               => array( 'slug' => 'offer-kind' ),
);

$labels_operator_condition = array(
    'name'                       => _x( 'Operator Condition', 'Taxonomy General Name' ),
    'singular_name'              => _x( 'Operator Condition', 'Taxonomy Singular Name' ),
    'menu_name'                  => __( 'Operator Condition' ),
    'all_items'                  => __( 'All Operator Condition' ),
    'parent_item'                => __( 'Parent Operator Condition' ),
    'parent_item_colon'          => __( 'Parent Operator Condition:' ),
    'new_item_name'              => __( 'New Operator Condition Name' ),
    'add_new_item'               => __( 'Add New Operator Condition' ),
    'edit_item'                  => __( 'Edit Operator Condition' ),
    'update_item'                => __( 'Update Operator Condition' ),
    'search_items'               => __( 'Search Operator Condition' ),
);
$args_operator_condition = array(
    'labels'                     => $labels_operator_condition,
    'hierarchical'               => true,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
    'show_tagcloud'              => true,
    'update_count_callback'      => '_update_post_term_count',
    'query_var'             => true,
    'rewrite'               => array( 'slug' => 'operator-condition' ),
);

$labels_general_offer = array(
    'name'                       => _x( 'General Offer', 'Taxonomy General Name' ),
    'singular_name'              => _x( 'General Offer', 'Taxonomy Singular Name' ),
    'menu_name'                  => __( 'General Offer' ),
    'all_items'                  => __( 'All General Offer' ),
    'parent_item'                => __( 'Parent General Offer' ),
    'parent_item_colon'          => __( 'Parent General Offer:' ),
    'new_item_name'              => __( 'New General Offer Name' ),
    'add_new_item'               => __( 'Add New General Offer' ),
    'edit_item'                  => __( 'Edit General Offer' ),
    'update_item'                => __( 'Update General Offer' ),
    'search_items'               => __( 'Search General Offer' ),
);
$args_general_offer = array(
    'labels'                     => $labels_general_offer,
    'hierarchical'               => true,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
    'show_tagcloud'              => true,
    'update_count_callback'      => '_update_post_term_count',
    'query_var'             => true,
    'rewrite'               => array( 'slug' => 'general-offer' ),
);

$labels_technology_offer = array(
    'name'                       => _x( 'Technology Offer', 'Taxonomy General Name' ),
    'singular_name'              => _x( 'Technology Offer', 'Taxonomy Singular Name' ),
    'menu_name'                  => __( 'Technology Offer' ),
    'all_items'                  => __( 'All Technology Offer' ),
    'parent_item'                => __( 'Parent Technology Offer' ),
    'parent_item_colon'          => __( 'Parent Technology Offer:' ),
    'new_item_name'              => __( 'New Technology Offer Name' ),
    'add_new_item'               => __( 'Add New Technology Offer' ),
    'edit_item'                  => __( 'Edit Technology Offer' ),
    'update_item'                => __( 'Update Technology Offer' ),
    'search_items'               => __( 'Search Technology Offer' ),
);
$args_technology_offer = array(
    'labels'                     => $labels_technology_offer,
    'hierarchical'               => true,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
    'show_tagcloud'              => true,
    'update_count_callback'      => '_update_post_term_count',
    'query_var'             => true,
    'rewrite'               => array( 'slug' => 'technology-offer' ),
);

/*$labels_download_speed = array(
    'name'                       => _x( 'Download Speed', 'Taxonomy General Name' ),
    'singular_name'              => _x( 'Download Speed', 'Taxonomy Singular Name' ),
    'menu_name'                  => __( 'Download Speed' ),
    'all_items'                  => __( 'All Download Speed' ),
    'parent_item'                => __( 'Parent Download Speed' ),
    'parent_item_colon'          => __( 'Parent Download Speed:' ),
    'new_item_name'              => __( 'New Download Speed Name' ),
    'add_new_item'               => __( 'Add New Download Speed' ),
    'edit_item'                  => __( 'Edit Download Speed' ),
    'update_item'                => __( 'Update Download Speed' ),
    'search_items'               => __( 'Search Download Speed' ),
);
$args_download_speed = array(
    'labels'                     => $labels_download_speed,
    'hierarchical'               => true,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
    'show_tagcloud'              => true,
    'update_count_callback'      => '_update_post_term_count',
    'query_var'             => true,
    'rewrite'               => array( 'slug' => 'download-speed' ),
);*/

$labels_calls = array(
    'name'                       => _x( 'Call Limit', 'Taxonomy General Name' ),
    'singular_name'              => _x( 'Call Limit', 'Taxonomy Singular Name' ),
    'menu_name'                  => __( 'Call Limit' ),
    'all_items'                  => __( 'All Call Limit' ),
    'parent_item'                => __( 'Parent Call Limit' ),
    'parent_item_colon'          => __( 'Parent Call Limit:' ),
    'new_item_name'              => __( 'New Call Limit Name' ),
    'add_new_item'               => __( 'Add New Call Limit' ),
    'edit_item'                  => __( 'Edit Call Limit' ),
    'update_item'                => __( 'Update Call Limit' ),
    'search_items'               => __( 'Search Call Limit' ),
);
$args_calls = array(
    'labels'                     => $labels_calls,
    'hierarchical'               => true,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
    'show_tagcloud'              => true,
    'update_count_callback'      => '_update_post_term_count',
    'query_var'             => true,
    'rewrite'               => array( 'slug' => 'call-limit' ),
);

$labels_offer_plan = array(
    'name'                       => _x( 'Offer Plan', 'Taxonomy General Name' ),
    'singular_name'              => _x( 'Offer Plan', 'Taxonomy Singular Name' ),
    'menu_name'                  => __( 'Offer Plan' ),
    'all_items'                  => __( 'All Offer Plan' ),
    'parent_item'                => __( 'Parent Offer Plan' ),
    'parent_item_colon'          => __( 'Parent Offer Plan:' ),
    'new_item_name'              => __( 'New Offer Plan Name' ),
    'add_new_item'               => __( 'Add New Offer Plan' ),
    'edit_item'                  => __( 'Edit Offer Plan' ),
    'update_item'                => __( 'Update Offer Plan' ),
    'search_items'               => __( 'Search Offer Plan' ),
);
$args_offer_plan = array(
    'labels'                     => $labels_offer_plan,
    'hierarchical'               => true,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
    'show_tagcloud'              => true,
    'update_count_callback'      => '_update_post_term_count',
    'query_var'             => true,
    'rewrite'               => array( 'slug' => 'offer-plan' ),
);


$labels_brands = array(
    'name'                       => _x( 'Brands', 'Taxonomy General Name' ),
    'singular_name'              => _x( 'Brand', 'Taxonomy Singular Name' ),
    'menu_name'                  => __( 'Brands' ),
    'all_items'                  => __( 'All Brands' ),
    'parent_item'                => __( 'Parent Brand' ),
    'parent_item_colon'          => __( 'Parent Brand:' ),
    'new_item_name'              => __( 'New Brand Name' ),
    'add_new_item'               => __( 'Add New Brand' ),
    'edit_item'                  => __( 'Edit Brand' ),
    'update_item'                => __( 'Update Brand' ),
    'search_items'               => __( 'Search Brand' ),
);



register_taxonomy( 'offer_type', array( 'post' ), $args );
register_taxonomy( 'offer_kind', array( 'post' ), $args_offer_kind );
register_taxonomy( 'operator_condition', array( 'post' ), $args_operator_condition );
register_taxonomy( 'general_offer', array( 'post' ), $args_general_offer );
register_taxonomy( 'technology_offer', array( 'post' ), $args_technology_offer );
//register_taxonomy( 'download_speed', array( 'post' ), $args_download_speed );
register_taxonomy( 'call_limit', array( 'post' ), $args_calls );
register_taxonomy( 'offer_plan', array( 'post' ), $args_offer_plan );

}

// Hook into the 'init' action
add_action( 'init', 'tag_synchro', 0 );


add_action('wp_ajax_offer_filter', 'offer_filter_function'); // wp_ajax_{ACTION HERE} 
add_action('wp_ajax_nopriv_offer_filter', 'offer_filter_function');

function offer_filter_function(){
    //echo $_POST['val'].'<br/>';
    //echo $_POST['catKindId'].'<br/>';
    //echo $_POST['currentCat'];
    //echo $_POST['catConditionId'];
    //echo $_POST['catGeneralId'];
    //echo $_POST['catTechId'];
    //echo $_POST['catCallId'];
    //echo $_POST['catOfferPlanId'];
    
    $args = array(
        'post_type' => 'post',
        'post_status'  => 'publish',
        'posts_per_page' => -1
	);
    
    // for meta query
    if( isset( $_POST['thresholdVal']) && $_POST['thresholdVal'] != 'no' && $_POST['telephoneVal'] == 'no'){
        $args['meta_query'] = array(
			array(
				'key'     => 'weekly_thresholds',
                'value'   => 1,
                'compare' => 'LIKE',
			)
		);
    }elseif( isset( $_POST['telephoneVal']) && $_POST['telephoneVal'] != 'no' && $_POST['thresholdVal'] == 'no'){
        $args['meta_query'] = array(
			array(
				'key'     => 'telephone_included',
                'value'   => 1,
                'compare' => 'LIKE',
			)
		);
    }elseif( isset( $_POST['thresholdVal']) && $_POST['thresholdVal'] != 'no' && isset( $_POST['telephoneVal']) && $_POST['telephoneVal'] == 'no'){
        $args['meta_query'] = array(
            'relation' => 'AND',
			array(
				'key'     => 'telephone_included',
                'value'   => 1,
                'compare' => 'LIKE',
			),
            array(
				'key'     => 'weekly_thresholds',
                'value'   => 1,
                'compare' => 'LIKE',
			)
		);
    }
    
    // for taxonomies / categories
	if( isset( $_POST['val']) && $_POST['val'] != '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
		$args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( $_POST['catKindId'] == '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_kind',
				'field' => 'id',
				'terms' => $_POST['catKindId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && $_POST['val'] == '' && $_POST['catKindId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'operator_condition',
				'field' => 'id',
				'terms' => $_POST['catConditionId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && $_POST['val'] == '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['val'] == '' && $_POST['catKindId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catConditionId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['val'] == '' && $_POST['catKindId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catConditionId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catKindId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && $_POST['catConditionId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && $_POST['val'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'operator_condition',
				'field' => 'id',
				'terms' => $_POST['catConditionId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && $_POST['catKindId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['catKindId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catConditionId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['catKindId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catConditionId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catKindId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['val'] == '' && $_POST['catGeneralId'] == '' && $_POST['catConditionId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['val'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catConditionId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && $_POST['val'] == '' && $_POST['catKindId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['val'] == '' && $_POST['catGeneralId'] == '' && $_POST['catKindId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['val'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catKindId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' && $_POST['catOfferPlanId'] == '' && $_POST['catCallId'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' && $_POST['catTechId'] == '' && $_POST['catOfferPlanId'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' && $_POST['catOfferPlanId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catCallId'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && $_POST['catConditionId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catConditionId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catConditionId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && $_POST['catKindId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catKindId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catKindId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && $_POST['val'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['catGeneralId'] == '' && $_POST['val'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['val'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['val'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['catConditionId'] == '' && $_POST['catOfferPlanId'] == '' && $_POST['catCallId'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['val'] == '' && $_POST['catKindId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catKindId'] == '' && $_POST['catTechId'] == '' && $_POST['catGeneralId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' && $_POST['catTechId'] == '' && $_POST['catGeneralId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' && $_POST['catTechId'] == '' && $_POST['catGeneralId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' && $_POST['catTechId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' && $_POST['catTechId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catKindId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['val'] == '' && $_POST['catKindId'] == '' && $_POST['catTechId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catKindId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['val'] == '' && $_POST['catKindId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' && $_POST['val'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' && $_POST['val'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' && $_POST['val'] == '' && $_POST['catTechId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' && $_POST['val'] == '' && $_POST['catGeneralId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catConditionId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['catConditionId'] == '' && $_POST['catOfferPlanId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['catConditionId'] == '' && $_POST['catTechId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['catKindId'] == '' && $_POST['catOfferPlanId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['catKindId'] == '' && $_POST['catTechId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catKindId'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['val'] == '' && $_POST['catOfferPlanId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['val'] == '' && $_POST['catTechId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['val'] == '' && $_POST['catOfferPlanId'] == '' && $_POST['catGeneralId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catGeneralId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['catConditionId'] == '' && $_POST['catOfferPlanId'] == '' && $_POST['catGeneralId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catConditionId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && $_POST['catKindId'] == '' && $_POST['catOfferPlanId'] == '' && $_POST['catGeneralId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catKindId'] == '' && $_POST['catGeneralId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catKindId'] == '' && $_POST['catTechId'] == '' && $_POST['catGeneralId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['catConditionId'] == '' && $_POST['catTechId'] == '' && $_POST['catGeneralId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catTechId'] == '' && $_POST['catGeneralId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && $_POST['val'] == '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && $_POST['catOfferPlanId'] == '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && $_POST['catCallId'] == '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && $_POST['catOfferPlanId'] == '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && $_POST['catOfferPlanId'] == '' && $_POST['val'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && $_POST['catCallId'] == '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && $_POST['catCallId'] == '' && $_POST['val'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && $_POST['catTechId'] == '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && $_POST['catTechId'] == '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && $_POST['catTechId'] == '' && $_POST['val'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && $_POST['catGeneralId'] == '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && $_POST['catGeneralId'] == '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && $_POST['catGeneralId'] == '' && $_POST['val'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['catCallId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['val'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['val'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['catKindId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['catConditionId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && $_POST['catTechId'] == '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && $_POST['catTechId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['catConditionId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['catKindId'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && $_POST['val'] == '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && $_POST['catTechId'] == '' && $_POST['catGeneralId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && $_POST['catTechId'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && $_POST['catTechId'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && $_POST['catTechId'] == '' && $_POST['val'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && $_POST['catGeneralId'] == '' && $_POST['val'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && $_POST['catGeneralId'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && $_POST['catKindId'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && $_POST['val'] == '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && $_POST['val'] == '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && $_POST['val'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && $_POST['catKindId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && $_POST['catConditionId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && $_POST['catOfferPlanId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && $_POST['catTechId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catCallId']) && $_POST['catCallId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && $_POST['catGeneralId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && $_POST['catCallId'] == '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }elseif( isset( $_POST['catGeneralId']) && $_POST['catGeneralId'] != '' && isset( $_POST['catConditionId']) && $_POST['catConditionId'] != '' && isset( $_POST['catKindId']) && $_POST['catKindId'] != '' && isset( $_POST['catOfferPlanId']) && $_POST['catOfferPlanId'] != '' && isset( $_POST['catTechId']) && $_POST['catTechId'] != '' && isset( $_POST['val']) && $_POST['val'] != '' && isset( $_POST['catCallId']) && $_POST['catCallId'] != '' ){
        $args['tax_query'] = array(
            'relation' => 'AND',
			array(
				'taxonomy' => 'offer_plan',
				'field' => 'id',
				'terms' => $_POST['catOfferPlanId']
			),
            array(
                'taxonomy' => 'operator_condition',
                'field' => 'id',
                'terms' => $_POST['catConditionId'] 
            ),
            array(
                'taxonomy' => 'offer_kind',
                'field' => 'id',
                'terms' => $_POST['catKindId'] 
            ),
            array(
				'taxonomy' => 'general_offer',
				'field' => 'id',
				'terms' => $_POST['catGeneralId']
			),
            array(
				'taxonomy' => 'technology_offer',
				'field' => 'id',
				'terms' => $_POST['catTechId']
			),
            array(
				'taxonomy' => 'offer_type',
				'field' => 'id',
				'terms' => $_POST['val']
			),
            array(
				'taxonomy' => 'call_limit',
				'field' => 'id',
				'terms' => $_POST['catCallId']
			),
            array(
                'taxonomy' => 'category',
                'field' => 'id',
                'terms' => $_POST['currentCat'] 
            )
		);
    }
    
    $query = new WP_Query( $args );
    $count = $query->found_posts;
    $monthlyPrice = $_POST['priceVal'];
    $monthlyPrice = number_format((float)$monthlyPrice, 2, '.', '');
    
    $speedData = $_POST['speedVal'];
    $speedData = (int)$speedData;
    $sliderValue = (int)$_POST['sliderValue'];
    $breakCountValue = (int)$_POST['breakCount'];
    $callLimitMobile = (int)$_POST['callLimitMobile'];
    $internetLimitMobile = (int)$_POST['internetLimitMobile'];
    $smsLimitMobile = (int)$_POST['smsLimitMobile'];
?>

<script>
    jQuery('#filterCount').html('<?php echo $count+1;?>');
</script>

<?php   
    //echo $count;
    
	if( $query->have_posts() ){
	    if( $_POST['currentCat'] ==2){
            if($monthlyPrice && $monthlyPrice != '0' && $speedData == ''){
            
            //echo $monthlyPrice;
    		while( $query->have_posts() ): $query->the_post();
            $image = get_field('service_brand_logo');
            $startingPrice = get_field('starting_price');
            $startingPrice = str_replace(',','.', $startingPrice);
            $startingPrice = str_replace(' ','', $startingPrice);
            if($startingPrice){
                $startingPrice = number_format((float)$startingPrice, 2, '.', '');
            }
            if($startingPrice <= $monthlyPrice){
?>

    <div class="ultra-fiber">
    	<div class="blue-header"></div>
    	<div class="blue-blocks-body">
    		<div class="block-cost">
    			<p>Cost <?php the_field('starting_price');?> &euro; / month</p>
                <?php if(get_field('after_initial_period_price')){?>
                <p>for <?php the_field('initial_contact_in_years');?> years <span></span></p>
    			<p>then &euro; <?php the_field('after_initial_period_price');?> / month</p>
                <?php }else{?>
    		    <p>FIXED PRICE <span></span></p>
                <?php }?>    						
    		</div>
    		<div class="block-cost-middle">	
    			<?php if($image){?>
    			<img src="<?php echo $image['url'];?>"/>
                <?php }else{?>
                <img src=""/>
                <?php }?>
    			<h1><?php the_title();?></h1>
    			<h2><?php the_field('sub_title');?></h2>    
    		</div>
    		<div class="block-cost">
                <?php if(get_field('months_included_text')){?>
                    <div class="months-included"><?php the_field('months_included_text');?> MONTHS INCLUDED</div>
                <?php }?>
    		</div>
    
    		<div class="clearfix"></div>
    		<div class="offers-container">
    
    			<ul id="blue-offers-single">
                    <?php if(get_field('activation_fee')){?>
                    <li class="blue-act-free"><div class="text-box">Activation <?php the_field('activation_fee');?></div></li>
                    <?php }?>
                    <?php if(get_field('modem_fee')){?>
                    <li class="blue-mod-free"><div class="text-box">Modem <br/><?php the_field('modem_fee');?></div></li>
                    <?php }?>
                    <?php if(get_field('speed')){?>
                    <li class="blue-speed"><div class="text-box">Speed <br/><?php the_field('speed');?></div></li>
                    <?php }?>
                    <?php if(get_field('calls_included')){?>
                    <li class="blue-un-calls"><div class="text-box">Calls <?php the_field('calls_included');?></div></li>
                    <?php }?> 
                    <?php if(get_field('tv_included')){?>
                    <li class="blue-tv"><div class="text-box">TV Included <br/> <?php the_field('tv_included');?></div></li>
                    <?php }?>   						  
    			</ul>
    
    		</div>
    		<div class="buttns">
                <?php if(get_field('online_activation')){?>
                    <button class="act-on">active online</button>
                <?php }?>                                
    			<button class="blue-btn <?php if(!get_field('online_activation')){?>no-online-btn<?php }?>">we'll call you for free</button>
    			<div class="clearfix"></div>   							
    		</div>
    		<a href="">further information </a>
    		
        </div>
    			
    </div>
<?php    }     
        endwhile;
		wp_reset_postdata();
	
	   }
       elseif($speedData && $speedData != '0' && $monthlyPrice == ''){
            //echo $speedData;
            while( $query->have_posts() ): $query->the_post();
            $image = get_field('service_brand_logo');
            $startingPrice = get_field('starting_price');
            $startingPrice = str_replace(',','.', $startingPrice);
            $startingPrice = str_replace(' ','', $startingPrice);
            if($startingPrice){
                $startingPrice = number_format((float)$startingPrice, 2, '.', '');
            }
            $speedValue = trim(get_field('speed'));
            if (strpos($speedValue, 'GIG') !== false) {
                $speedValue = str_replace(' ','', $speedValue);
                $speedValue = str_replace('GIG','', $speedValue);
                $speedValue = (int)$speedValue*1000;
            }elseif (strpos($speedValue, 'MEGA') !== false) {
                $speedValue = str_replace(' ','', $speedValue);
                $speedValue = str_replace('MEGA','', $speedValue);
                $speedValue = (int)$speedValue;
            }
            if($speedValue >= $speedData){
?>
            
            <div class="ultra-fiber">
                <div class="blue-header"></div>
                <div class="blue-blocks-body">
                	<div class="block-cost">
                		<p>Cost <?php the_field('starting_price');?> &euro; / month</p>
                        <?php if(get_field('after_initial_period_price')){?>
                        <p>for <?php the_field('initial_contact_in_years');?> years <span></span></p>
                		<p>then &euro; <?php the_field('after_initial_period_price');?> / month</p>
                        <?php }else{?>
                	    <p>FIXED PRICE <span></span></p>
                        <?php }?>    						
                	</div>
                	<div class="block-cost-middle">	
                		<?php if($image){?>
                		<img src="<?php echo $image['url'];?>"/>
                        <?php }else{?>
                        <img src=""/>
                        <?php }?>
                		<h1><?php the_title();?></h1>
                		<h2><?php the_field('sub_title');?></h2>    
                	</div>
                	<div class="block-cost">
                        <?php if(get_field('months_included_text')){?>
                            <div class="months-included"><?php the_field('months_included_text');?> MONTHS INCLUDED</div>
                        <?php }?>
                	</div>
                
                	<div class="clearfix"></div>
                	<div class="offers-container">
                
                		<ul id="blue-offers-single">
                            <?php if(get_field('activation_fee')){?>
                            <li class="blue-act-free"><div class="text-box">Activation <?php the_field('activation_fee');?></div></li>
                            <?php }?>
                            <?php if(get_field('modem_fee')){?>
                            <li class="blue-mod-free"><div class="text-box">Modem <br/><?php the_field('modem_fee');?></div></li>
                            <?php }?>
                            <?php if(get_field('speed')){?>
                            <li class="blue-speed"><div class="text-box">Speed <br/><?php the_field('speed');?></div></li>
                            <?php }?>
                            <?php if(get_field('calls_included')){?>
                            <li class="blue-un-calls"><div class="text-box">Calls <?php the_field('calls_included');?></div></li>
                            <?php }?> 
                            <?php if(get_field('tv_included')){?>
                            <li class="blue-tv"><div class="text-box">TV Included <br/> <?php the_field('tv_included');?></div></li>
                            <?php }?>   						  
                		</ul>
                
                	</div>
                	<div class="buttns">
                        <?php if(get_field('online_activation')){?>
                            <a href="<?php the_permalink();?>" class="act-on">active online</a>
                        <?php }?>                                
                		<a class="blue-btn <?php if(!get_field('online_activation')){?>no-online-btn<?php }?>">we'll call you for free</a>
                		<div class="clearfix"></div>   							
                	</div>
                	<a href="" class="show-more-btn">further information </a>
                	
                </div>
            		
            </div>
            <div class="separator"></div>
<?php    }
            endwhile;
            wp_reset_postdata();
	   }elseif($speedData && $speedData != '0' && $monthlyPrice && $monthlyPrice != '0'){
            //echo $speedData.' '.$monthlyPrice;
            while( $query->have_posts() ): $query->the_post();
            $image = get_field('service_brand_logo');
            $startingPrice = get_field('starting_price');
            $startingPrice = str_replace(',','.', $startingPrice);
            $startingPrice = str_replace(' ','', $startingPrice);
            if($startingPrice){
                $startingPrice = number_format((float)$startingPrice, 2, '.', '');
            }
            $speedValue = trim(get_field('speed'));
            if (strpos($speedValue, 'GIG') !== false) {
                $speedValue = str_replace(' ','', $speedValue);
                $speedValue = str_replace('GIG','', $speedValue);
                $speedValue = (int)$speedValue*1000;
            }elseif (strpos($speedValue, 'MEGA') !== false) {
                $speedValue = str_replace(' ','', $speedValue);
                $speedValue = str_replace('MEGA','', $speedValue);
                $speedValue = (int)$speedValue;
            }
            if($speedValue >= $speedData && $startingPrice <= $monthlyPrice){
?>
            
            <div class="ultra-fiber">
                <div class="blue-header"></div>
                <div class="blue-blocks-body">
                	<div class="block-cost">
                		<p>Cost <?php the_field('starting_price');?> &euro; / month</p>
                        <?php if(get_field('after_initial_period_price')){?>
                        <p>for <?php the_field('initial_contact_in_years');?> years <span></span></p>
                		<p>then &euro; <?php the_field('after_initial_period_price');?> / month</p>
                        <?php }else{?>
                	    <p>FIXED PRICE <span></span></p>
                        <?php }?>    						
                	</div>
                	<div class="block-cost-middle">	
                		<?php if($image){?>
                		<img src="<?php echo $image['url'];?>"/>
                        <?php }else{?>
                        <img src=""/>
                        <?php }?>
                		<h1><?php the_title();?></h1>
                		<h2><?php the_field('sub_title');?></h2>    
                	</div>
                	<div class="block-cost">
                        <?php if(get_field('months_included_text')){?>
                            <div class="months-included"><?php the_field('months_included_text');?> MONTHS INCLUDED</div>
                        <?php }?>
                	</div>
                
                	<div class="clearfix"></div>
                	<div class="offers-container">
                
                		<ul id="blue-offers-single">
                            <?php if(get_field('activation_fee')){?>
                            <li class="blue-act-free"><div class="text-box">Activation <?php the_field('activation_fee');?></div></li>
                            <?php }?>
                            <?php if(get_field('modem_fee')){?>
                            <li class="blue-mod-free"><div class="text-box">Modem <br/><?php the_field('modem_fee');?></div></li>
                            <?php }?>
                            <?php if(get_field('speed')){?>
                            <li class="blue-speed"><div class="text-box">Speed <br/><?php the_field('speed');?></div></li>
                            <?php }?>
                            <?php if(get_field('calls_included')){?>
                            <li class="blue-un-calls"><div class="text-box">Calls <?php the_field('calls_included');?></div></li>
                            <?php }?> 
                            <?php if(get_field('tv_included')){?>
                            <li class="blue-tv"><div class="text-box">TV Included <br/> <?php the_field('tv_included');?></div></li>
                            <?php }?>   						  
                		</ul>
                
                	</div>
                	<div class="buttns">
                        <?php if(get_field('online_activation')){?>
                            <a href="<?php the_permalink();?>" class="act-on">active online</a>
                        <?php }?>                                
                		<a class="blue-btn <?php if(!get_field('online_activation')){?>no-online-btn<?php }?>">we'll call you for free</a>
                		<div class="clearfix"></div>   							
                	</div>
                	<a href="" class="show-more-btn">further information </a>
                	
                </div>
            		
            </div>
            <div class="separator"></div>
<?php    }
            endwhile;
            wp_reset_postdata();
	   }
       else{
            //echo "No Price Or Speed";
            while( $query->have_posts() ): $query->the_post();
            $image = get_field('service_brand_logo');
            $startingPrice = get_field('starting_price');
            $startingPrice = str_replace(',','.', $startingPrice);
            $startingPrice = str_replace(' ','', $startingPrice);
            if($startingPrice){
                $startingPrice = number_format((float)$startingPrice, 2, '.', '');
            }
?>
            
            <div class="ultra-fiber">
                <div class="blue-header"></div>
                <div class="blue-blocks-body">
                	<div class="block-cost">
                		<p>Cost <?php the_field('starting_price');?> &euro; / month</p>
                        <?php if(get_field('after_initial_period_price')){?>
                        <p>for <?php the_field('initial_contact_in_years');?> years <span></span></p>
                		<p>then &euro; <?php the_field('after_initial_period_price');?> / month</p>
                        <?php }else{?>
                	    <p>FIXED PRICE <span></span></p>
                        <?php }?>    						
                	</div>
                	<div class="block-cost-middle">	
                		<?php if($image){?>
                		<img src="<?php echo $image['url'];?>"/>
                        <?php }else{?>
                        <img src=""/>
                        <?php }?>
                		<h1><?php the_title();?></h1>
                		<h2><?php the_field('sub_title');?></h2>    
                	</div>
                	<div class="block-cost">
                        <?php if(get_field('months_included_text')){?>
                            <div class="months-included"><?php the_field('months_included_text');?> MONTHS INCLUDED</div>
                        <?php }?>
                	</div>
                
                	<div class="clearfix"></div>
                	<div class="offers-container">
                
                		<ul id="blue-offers-single">
                            <?php if(get_field('activation_fee')){?>
                            <li class="blue-act-free"><div class="text-box">Activation <?php the_field('activation_fee');?></div></li>
                            <?php }?>
                            <?php if(get_field('modem_fee')){?>
                            <li class="blue-mod-free"><div class="text-box">Modem <br/><?php the_field('modem_fee');?></div></li>
                            <?php }?>
                            <?php if(get_field('speed')){?>
                            <li class="blue-speed"><div class="text-box">Speed <br/><?php the_field('speed');?></div></li>
                            <?php }?>
                            <?php if(get_field('calls_included')){?>
                            <li class="blue-un-calls"><div class="text-box">Calls <?php the_field('calls_included');?></div></li>
                            <?php }?> 
                            <?php if(get_field('tv_included')){?>
                            <li class="blue-tv"><div class="text-box">TV Included <br/> <?php the_field('tv_included');?></div></li>
                            <?php }?>   						  
                		</ul>
                
                	</div>
                	<div class="buttns">
                        <?php if(get_field('online_activation')){?>
                            <a href="<?php the_permalink();?>" class="act-on">active online</a>
                        <?php }?>                                
                		<a class="blue-btn <?php if(!get_field('online_activation')){?>no-online-btn<?php }?>">we'll call you for free</a>
                		<div class="clearfix"></div>   							
                	</div>
                	<a href="" class="show-more-btn">further information </a>
                	
                </div>
            		
            </div>
            <div class="separator"></div>
<?php    
            endwhile;
            wp_reset_postdata();
	   }
    }
    if( $_POST['currentCat'] ==3){
          
        //if($sliderValue && $sliderValue != 0){
            //echo $monthlyPrice;
    		while( $query->have_posts() ): $query->the_post();
            $image = get_field('service_brand_logo');
            $energyConsumption = get_field('annual_consumption');
            $breakCount = get_field('consumption_breakdown');
            if($energyConsumption){
                $energyConsumption = (int)$energyConsumption;
            }
            if($energyConsumption >= $sliderValue && $breakCount >= $breakCountValue){
           
?>

    <div class="ultra-fiber light-background">
    	<div class="blue-header"></div>
    	<div class="blue-blocks-body">
    		<div class="block-cost">
    		<?php if(get_field('promotion_price')){
                    $annual_price = (str_replace(",",".",get_field('promotion_price')));                                     
            ?>
            <p>Cost <?php the_field('promotion_price');?> &euro; / month</p>
            <p>( Standard Price <?php the_field('starting_price');?> / month)</p>                   
            <?php 
                $standard_cost = (str_replace(",",".",get_field('starting_price')));
                $standard_cost = (float)(str_replace(" ","",$standard_cost));
                $save_amount = $standard_cost-$annual_price; 
                $save_amount = round(($save_amount*12),2);
            ?>                  
            <?php }else{
                $annual_price = (str_replace(",",".",get_field('starting_price')));     
            ?>
            <p>Cost <?php the_field('starting_price');?> &euro; / month</p>
            <?php }
                $annual_price = (float)(str_replace(" ","",$annual_price)); 
                $annual_price = ($annual_price*12);
                $annual_price = number_format($annual_price, 2, ',', '.');               
            ?>
                                
			<p>&euro; <?php echo $annual_price;?> / Year</p>    						
    		</div>
    		<div class="block-cost-middle">	
    			<?php if($image){?>
    			<img src="<?php echo $image['url'];?>"/>
                <?php }else{?>
                <img src=""/>
                <?php }?>
    			<h1><?php the_title();?></h1>
    			<h2><?php the_field('sub_title');?></h2>    
    		</div>
    		<div class="block-cost">
                 <?php if(get_field('recommended_offer_cost')){?>
						<div class="good-cost">GOOD COSTS: &euro; <?php the_field('recommended_offer_cost');?></div>
                <?php }
                if(get_field('promotion_price')){ ?>
                    <p class="annual_save"> Save &euro; <?php  echo  $save_amount; ?> / Year</p>
                <?php } ?>
    		</div>
    
    		<div class="clearfix"></div>
    		<div class="offers-container">
    
    			<ul id="offers-single">
                    <?php if(get_field('fascia_one_cost')){?>
                        <li class="blue-act-free"><div class="text-box">Fascia 1 Cost <br/>&euro; <?php the_field('fascia_one_cost');?></div></li>
                        <?php }?>
                        <?php if(get_field('fascia_two_cost')){?>
                        <li class="blue-act-free"><div class="text-box">Fascia 2 Cost <br/>&euro; <?php the_field('fascia_two_cost');?></div></li>
                        <?php }?>
                        <?php if(get_field('fascia_three_cost')){?>
                        <li class="blue-act-free"><div class="text-box">Fascia 3 Cost <br/>&euro; <?php the_field('fascia_three_cost');?></div></li>
                        <?php }?>
                        <?php if(get_field('energy_price')){?>
                        <li class="blue-act-free"><div class="text-box">Energy Price <?php the_field('energy_price');?></div></li>
                        <?php }?>   						  
    			</ul>
    
    		</div>
    		<div class="buttns">
                <?php if(get_field('online_activation')){?>
                    <button class="act-on">active online</button>
                <?php }?>                                
    			<button class="blue-btn <?php if(!get_field('online_activation')){?>no-online-btn<?php }?>">we'll call you for free</button>
    			<div class="clearfix"></div>   							
    		</div>
    		<a href="">further information </a>
    		
        </div>
    			
    </div>
        <?php }?>
<?php         
        endwhile;
		wp_reset_postdata();
	
	  //} 
    }
    if( $_POST['currentCat'] ==4){
          
            
            //echo $monthlyPrice;
    		while( $query->have_posts() ): $query->the_post();
            $image = get_field('service_brand_logo');
            $energyConsumption = get_field('annual_gas_consumption');
            if($energyConsumption){
                $energyConsumption = (int)$energyConsumption;
            }
            if($energyConsumption >= $sliderValue){
           
?>

                <div class="ultra-fiber light-background">
                	<div class="blue-header"></div>
                	<div class="blue-blocks-body">
                		<div class="block-cost">
            	           <?php if(get_field('promotion_price')){
                                $annual_price = (str_replace(",",".",get_field('promotion_price')));                                     
                            ?>
                            <p>Cost <?php the_field('promotion_price');?> &euro; / month</p>
            						
                            <p class="annual_save"> Save &euro; <?php  echo  the_field('promotion_price'); ?> / Year</p>
                            <?php }else{
                                $annual_price = (str_replace(",",".",get_field('starting_price')));     
                            ?>
                            <p>Cost <?php the_field('starting_price');?> &euro; / month</p>
                            <?php }
                                if(get_field('price_after_12_months')){
                                    $price_after_12_months = get_field('price_after_12_months');
                            ?>
                                <p> Price after 12 months &euro;  <?php  echo $price_after_12_months; ?></p>
                            <?php }            
                                $annual_price = (float)(str_replace(" ","",$annual_price)); 
                                $annual_price = ($annual_price*12);
                                $annual_price = number_format($annual_price, 2, ',', '.');
                            ?>
            	           <p>&euro; <?php echo $annual_price;?> / Year</p>   						
                		</div>
                		<div class="block-cost-middle">	
                			<?php if($image){?>
                			<img src="<?php echo $image['url'];?>"/>
                            <?php }else{?>
                            <img src=""/>
                            <?php }?>
                			<h1><?php the_title();?></h1>
                			<h2><?php the_field('sub_title');?></h2>    
                		</div>
                		<div class="block-cost">
                              <?php if(get_field('recommended_offer_cost')){?>
            					<div class="good-cost">GOOD COSTS: &euro; <?php the_field('recommended_offer_cost');?></div>
                            <?php }?>
                            <?php if(get_field('promotion_price')){ ?>
                                    <p class="annual_save"> Save &euro; <?php  echo  get_field('promotion_price'); ?> / Year</p>
                            <?php } ?>
                		</div>
                
                		<div class="clearfix"></div>
                		<div class="offers-container">
                
                			<ul id="offers-single">
                                <?php if(get_field('fascia_one_cost')){?>
                                <li class="blue-act-free"><div class="text-box">Fascia 1 Cost <br/>&euro; <?php the_field('fascia_one_cost');?></div></li>
                                <?php }?>
                                <?php if(get_field('fascia_two_cost')){?>
                                <li class="blue-act-free"><div class="text-box">Fascia 2 Cost <br/>&euro; <?php the_field('fascia_two_cost');?></div></li>
                                <?php }?>
                                <?php if(get_field('fascia_three_cost')){?>
                                <li class="blue-act-free"><div class="text-box">Fascia 3 Cost <br/>&euro; <?php the_field('fascia_three_cost');?></div></li>
                                <?php }?>
                                <?php if(get_field('energy_price')){?>
                                <li class="blue-act-free"><div class="text-box">Energy Price <?php the_field('energy_price');?></div></li>
                                <?php }?>   						  
                			</ul>
                
                		</div>
                		<div class="buttns">
                            <?php if(get_field('online_activation')){?>
                                <button class="act-on">active online</button>
                            <?php }?>                                
                			<button class="blue-btn <?php if(!get_field('online_activation')){?>no-online-btn<?php }?>">we'll call you for free</button>
                			<div class="clearfix"></div>   							
                		</div>
                		<a href="">further information </a>
                		
                    </div>
                			
                </div>
            <?php }?>
<?php         
        endwhile;
		wp_reset_postdata();
	
	   
    }
        if( $_POST['currentCat'] ==5){
            //$callLimitMobile = (int)$_POST['callLimitMobile'];
            //$internetLimitMobile = (int)$_POST['internetLimitMobile'];
            //$smsLimitMobile = (int)$_POST['smsLimitMobile'];
            if($callLimitMobile && $callLimitMobile != 0 && $internetLimitMobile == 0 && $smsLimitMobile == 0){ 
            
                //echo $monthlyPrice;
        		while( $query->have_posts() ): $query->the_post();
                $image = get_field('service_brand_logo');
                $callLimitMobileValue = get_field('calls');
                $callLimitMobileValue = str_replace('MINUTES','', $callLimitMobileValue);
                $callLimitMobileValue = str_replace(' ','', $callLimitMobileValue);
                if($callLimitMobileValue){
                    $callLimitMobileValue = (int)$callLimitMobileValue;
                }
                if($callLimitMobileValue >= $callLimitMobile || $callLimitMobileValue == 'Unlimited'){
               
?>
    
                <div class="ultra-fiber light-background">
                	<div class="blue-header"></div>
                	<div class="blue-blocks-body">
                		<div class="block-cost">
            					<?php if(get_field('starting_price')){?>
                                    <p>Cost: <?php the_field('starting_price');?> &euro; / month</p>
                                <?php } ?>  
                                <?php if(get_field('sim_cost')){ ?>
                                    <p> Sim Cost &euro; <?php  echo  get_field('sim_cost'); ?> / Year</p>
                                <?php } ?>  						
                		</div>
                		<div class="block-cost-middle">	
                			<?php if($image){?>
                			<img src="<?php echo $image['url'];?>"/>
                            <?php }else{?>
                            <img src=""/>
                            <?php }?>
                			<h1><?php the_title();?></h1>
                			<h2><?php the_field('sub_title');?></h2>    
                		</div>
                		<div class="block-cost">
                              <?php if(get_field('recommended_offer_cost')){?>
                						<div class="good-cost">GOOD COSTS: &euro; <?php the_field('recommended_offer_cost');?></div>
                                <?php }?>
                		</div>
                
                		<div class="clearfix"></div>
                		<div class="offers-container">
                
                			<ul id="offers-single">
                                  <?php if($activation_fee == 0){ ?> 
            		                    <li class="act-free"><div class="text-box">Activation Fee <?php echo 'Free'; ?></div></li>
                                  <?php }
                                  else{ ?>
                                    <li class="act-free"><div class="text-box">Activation Fee &euro; <?php  the_field('activation_fee'); ?></div></li>
                                  <?php }?>  
                                                
                                  <?php if(get_field('sms')){?>
                                        <li class="act-free"><div class="text-box">SMS <br/> <?php the_field('sms');?></div></li>
                                  <?php }?>
                                  <?php if(get_field('calls')){?>
                                    <li class="un-calls"><div class="text-box">Calls <br/> <?php the_field('calls');?></div></li>
                                  <?php }?> 						  
                			</ul>
                
                		</div>
                		<div class="buttns">
                            <?php if(get_field('online_activation')){?>
                                <button class="act-on">active online</button>
                            <?php }?>                                
                			<button class="blue-btn <?php if(!get_field('online_activation')){?>no-online-btn<?php }?>">we'll call you for free</button>
                			<div class="clearfix"></div>   							
                		</div>
                		<a href="">further information </a>
                		
                    </div>
                			
                </div>
                <?php }?>
<?php         
                endwhile;
        		wp_reset_postdata();
            }elseif($smsLimitMobile && $smsLimitMobile != '0' && $internetLimitMobile == '0' && $callLimitMobile == '0'){ 
            
                //echo $monthlyPrice;
        		while( $query->have_posts() ): $query->the_post();
                $image = get_field('service_brand_logo');
                $smsLimitMobileValue = get_field('sms');
                $smsLimitMobileValue = str_replace('SMS','', $smsLimitMobileValue);
                $smsLimitMobileValue = str_replace(' ','', $smsLimitMobileValue);
                if($smsLimitMobileValue){
                    $smsLimitMobileValue = (int)$smsLimitMobileValue;
                }
                if($smsLimitMobileValue >= $smsLimitMobile || $smsLimitMobileValue == 'Unlimited'){
               
?>
    
                <div class="ultra-fiber light-background">
                	<div class="blue-header"></div>
                	<div class="blue-blocks-body">
                		<div class="block-cost">
            					<?php if(get_field('starting_price')){?>
                                    <p>Cost: <?php the_field('starting_price');?> &euro; / month</p>
                                <?php } ?>  
                                <?php if(get_field('sim_cost')){ ?>
                                    <p> Sim Cost &euro; <?php  echo  get_field('sim_cost'); ?> / Year</p>
                                <?php } ?>  						
                		</div>
                		<div class="block-cost-middle">	
                			<?php if($image){?>
                			<img src="<?php echo $image['url'];?>"/>
                            <?php }else{?>
                            <img src=""/>
                            <?php }?>
                			<h1><?php the_title();?></h1>
                			<h2><?php the_field('sub_title');?></h2>    
                		</div>
                		<div class="block-cost">
                              <?php if(get_field('recommended_offer_cost')){?>
                						<div class="good-cost">GOOD COSTS: &euro; <?php the_field('recommended_offer_cost');?></div>
                                <?php }?>
                		</div>
                
                		<div class="clearfix"></div>
                		<div class="offers-container">
                
                			<ul id="offers-single">
                                  <?php if($activation_fee == 0){ ?> 
            		                    <li class="act-free"><div class="text-box">Activation Fee <?php echo 'Free'; ?></div></li>
                                  <?php }
                                  else{ ?>
                                    <li class="act-free"><div class="text-box">Activation Fee &euro; <?php  the_field('activation_fee'); ?></div></li>
                                  <?php }?>  
                                                
                                  <?php if(get_field('sms')){?>
                                        <li class="act-free"><div class="text-box">SMS <br/> <?php the_field('sms');?></div></li>
                                  <?php }?>
                                  <?php if(get_field('calls')){?>
                                    <li class="un-calls"><div class="text-box">Calls <br/> <?php the_field('calls');?></div></li>
                                  <?php }?> 						  
                			</ul>
                
                		</div>
                		<div class="buttns">
                            <?php if(get_field('online_activation')){?>
                                <button class="act-on">active online</button>
                            <?php }?>                                
                			<button class="blue-btn <?php if(!get_field('online_activation')){?>no-online-btn<?php }?>">we'll call you for free</button>
                			<div class="clearfix"></div>   							
                		</div>
                		<a href="">further information </a>
                		
                    </div>
                			
                </div>
                <?php }?>
<?php         
                endwhile;
        		wp_reset_postdata();
            }elseif($internetLimitMobile && $internetLimitMobile != '0' && $smsLimitMobile == '0' && $callLimitMobile == '0'){ 
            
                //echo $monthlyPrice;
        		while( $query->have_posts() ): $query->the_post();
                $image = get_field('service_brand_logo');
                $internetLimitMobileValue = get_field('internet');
                $internetLimitMobileValue = str_replace('GB','', $internetLimitMobileValue);
                $internetLimitMobileValue = str_replace(' ','', $internetLimitMobileValue);
                if($internetLimitMobileValue){
                    $internetLimitMobileValue = (int)$internetLimitMobileValue;
                }
                if($internetLimitMobileValue >= $internetLimitMobile || $internetLimitMobileValue == 'Unlimited'){
               
?>
    
                <div class="ultra-fiber light-background">
                	<div class="blue-header"></div>
                	<div class="blue-blocks-body">
                		<div class="block-cost">
            					<?php if(get_field('starting_price')){?>
                                    <p>Cost: <?php the_field('starting_price');?> &euro; / month</p>
                                <?php } ?>  
                                <?php if(get_field('sim_cost')){ ?>
                                    <p> Sim Cost &euro; <?php  echo  get_field('sim_cost'); ?> / Year</p>
                                <?php } ?>  						
                		</div>
                		<div class="block-cost-middle">	
                			<?php if($image){?>
                			<img src="<?php echo $image['url'];?>"/>
                            <?php }else{?>
                            <img src=""/>
                            <?php }?>
                			<h1><?php the_title();?></h1>
                			<h2><?php the_field('sub_title');?></h2>    
                		</div>
                		<div class="block-cost">
                              <?php if(get_field('recommended_offer_cost')){?>
                						<div class="good-cost">GOOD COSTS: &euro; <?php the_field('recommended_offer_cost');?></div>
                                <?php }?>
                		</div>
                
                		<div class="clearfix"></div>
                		<div class="offers-container">
                
                			<ul id="offers-single">
                                  <?php if($activation_fee == 0){ ?> 
            		                    <li class="act-free"><div class="text-box">Activation Fee <?php echo 'Free'; ?></div></li>
                                  <?php }
                                  else{ ?>
                                    <li class="act-free"><div class="text-box">Activation Fee &euro; <?php  the_field('activation_fee'); ?></div></li>
                                  <?php }?>  
                                                
                                  <?php if(get_field('sms')){?>
                                        <li class="act-free"><div class="text-box">SMS <br/> <?php the_field('sms');?></div></li>
                                  <?php }?>
                                  <?php if(get_field('calls')){?>
                                    <li class="un-calls"><div class="text-box">Calls <br/> <?php the_field('calls');?></div></li>
                                  <?php }?> 						  
                			</ul>
                
                		</div>
                		<div class="buttns">
                            <?php if(get_field('online_activation')){?>
                                <button class="act-on">active online</button>
                            <?php }?>                                
                			<button class="blue-btn <?php if(!get_field('online_activation')){?>no-online-btn<?php }?>">we'll call you for free</button>
                			<div class="clearfix"></div>   							
                		</div>
                		<a href="">further information </a>
                		
                    </div>
                			
                </div>
                <?php }?>
<?php         
                endwhile;
        		wp_reset_postdata();
            }elseif($internetLimitMobile && $internetLimitMobile != '0' && $smsLimitMobile && $smsLimitMobile != '0' && $callLimitMobile && $callLimitMobile != '0' ){ 
            
                //echo $monthlyPrice;
        		while( $query->have_posts() ): $query->the_post();
                $image = get_field('service_brand_logo');
                $internetLimitMobileValue = get_field('internet');
                $internetLimitMobileValue = str_replace('GB','', $internetLimitMobileValue);
                $internetLimitMobileValue = str_replace(' ','', $internetLimitMobileValue);
                if($internetLimitMobileValue){
                    $internetLimitMobileValue = (int)$internetLimitMobileValue;
                }
                
                $smsLimitMobileValue = get_field('sms');
                $smsLimitMobileValue = str_replace('SMS','', $smsLimitMobileValue);
                $smsLimitMobileValue = str_replace(' ','', $smsLimitMobileValue);
                if($smsLimitMobileValue){
                    $smsLimitMobileValue = (int)$smsLimitMobileValue;
                }
                
                $callLimitMobileValue = get_field('calls');
                $callLimitMobileValue = str_replace('MINUTES','', $callLimitMobileValue);
                $callLimitMobileValue = str_replace(' ','', $callLimitMobileValue);
                if($callLimitMobileValue){
                    $callLimitMobileValue = (int)$callLimitMobileValue;
                }
                
                if($internetLimitMobileValue >= $internetLimitMobile || $internetLimitMobileValue == 'Unlimited'  && $smsLimitMobileValue >= $smsLimitMobile || $smsLimitMobileValue == 'Unlimited' && $callLimitMobileValue >= $callLimitMobile || $callLimitMobileValue == 'Unlimited'){
               
?>
    
                <div class="ultra-fiber light-background">
                	<div class="blue-header"></div>
                	<div class="blue-blocks-body">
                		<div class="block-cost">
            					<?php if(get_field('starting_price')){?>
                                    <p>Cost: <?php the_field('starting_price');?> &euro; / month</p>
                                <?php } ?>  
                                <?php if(get_field('sim_cost')){ ?>
                                    <p> Sim Cost &euro; <?php  echo  get_field('sim_cost'); ?> / Year</p>
                                <?php } ?>  						
                		</div>
                		<div class="block-cost-middle">	
                			<?php if($image){?>
                			<img src="<?php echo $image['url'];?>"/>
                            <?php }else{?>
                            <img src=""/>
                            <?php }?>
                			<h1><?php the_title();?></h1>
                			<h2><?php the_field('sub_title');?></h2>    
                		</div>
                		<div class="block-cost">
                              <?php if(get_field('recommended_offer_cost')){?>
                						<div class="good-cost">GOOD COSTS: &euro; <?php the_field('recommended_offer_cost');?></div>
                                <?php }?>
                		</div>
                
                		<div class="clearfix"></div>
                		<div class="offers-container">
                
                			<ul id="offers-single">
                                  <?php if($activation_fee == 0){ ?> 
            		                    <li class="act-free"><div class="text-box">Activation Fee <?php echo 'Free'; ?></div></li>
                                  <?php }
                                  else{ ?>
                                    <li class="act-free"><div class="text-box">Activation Fee &euro; <?php  the_field('activation_fee'); ?></div></li>
                                  <?php }?>  
                                                
                                  <?php if(get_field('sms')){?>
                                        <li class="act-free"><div class="text-box">SMS <br/> <?php the_field('sms');?></div></li>
                                  <?php }?>
                                  <?php if(get_field('calls')){?>
                                    <li class="un-calls"><div class="text-box">Calls <br/> <?php the_field('calls');?></div></li>
                                  <?php }?> 						  
                			</ul>
                
                		</div>
                		<div class="buttns">
                            <?php if(get_field('online_activation')){?>
                                <button class="act-on">active online</button>
                            <?php }?>                                
                			<button class="blue-btn <?php if(!get_field('online_activation')){?>no-online-btn<?php }?>">we'll call you for free</button>
                			<div class="clearfix"></div>   							
                		</div>
                		<a href="">further information </a>
                		
                    </div>
                			
                </div>
                <?php }?>
<?php         
                endwhile;
        		wp_reset_postdata();
            }elseif($internetLimitMobile && $internetLimitMobile != '0' && $smsLimitMobile && $smsLimitMobile != '0' && $callLimitMobile == '0' ){ 
            
                //echo $monthlyPrice;
        		while( $query->have_posts() ): $query->the_post();
                $image = get_field('service_brand_logo');
                $internetLimitMobileValue = get_field('internet');
                $internetLimitMobileValue = str_replace('GB','', $internetLimitMobileValue);
                $internetLimitMobileValue = str_replace(' ','', $internetLimitMobileValue);
                if($internetLimitMobileValue){
                    $internetLimitMobileValue = (int)$internetLimitMobileValue;
                }
                
                $smsLimitMobileValue = get_field('sms');
                $smsLimitMobileValue = str_replace('SMS','', $smsLimitMobileValue);
                $smsLimitMobileValue = str_replace(' ','', $smsLimitMobileValue);
                if($smsLimitMobileValue){
                    $smsLimitMobileValue = (int)$smsLimitMobileValue;
                }
                
                $callLimitMobileValue = get_field('calls');
                $callLimitMobileValue = str_replace('MINUTES','', $callLimitMobileValue);
                $callLimitMobileValue = str_replace(' ','', $callLimitMobileValue);
                if($callLimitMobileValue){
                    $callLimitMobileValue = (int)$callLimitMobileValue;
                }
                
                if($internetLimitMobileValue >= $internetLimitMobile || $internetLimitMobileValue == 'Unlimited'  && $smsLimitMobileValue >= $smsLimitMobile || $smsLimitMobileValue == 'Unlimited'){
               
?>
    
                <div class="ultra-fiber light-background">
                	<div class="blue-header"></div>
                	<div class="blue-blocks-body">
                		<div class="block-cost">
            					<?php if(get_field('starting_price')){?>
                                    <p>Cost: <?php the_field('starting_price');?> &euro; / month</p>
                                <?php } ?>  
                                <?php if(get_field('sim_cost')){ ?>
                                    <p> Sim Cost &euro; <?php  echo  get_field('sim_cost'); ?> / Year</p>
                                <?php } ?>  						
                		</div>
                		<div class="block-cost-middle">	
                			<?php if($image){?>
                			<img src="<?php echo $image['url'];?>"/>
                            <?php }else{?>
                            <img src=""/>
                            <?php }?>
                			<h1><?php the_title();?></h1>
                			<h2><?php the_field('sub_title');?></h2>    
                		</div>
                		<div class="block-cost">
                              <?php if(get_field('recommended_offer_cost')){?>
                						<div class="good-cost">GOOD COSTS: &euro; <?php the_field('recommended_offer_cost');?></div>
                                <?php }?>
                		</div>
                
                		<div class="clearfix"></div>
                		<div class="offers-container">
                
                			<ul id="offers-single">
                                  <?php if($activation_fee == 0){ ?> 
            		                    <li class="act-free"><div class="text-box">Activation Fee <?php echo 'Free'; ?></div></li>
                                  <?php }
                                  else{ ?>
                                    <li class="act-free"><div class="text-box">Activation Fee &euro; <?php  the_field('activation_fee'); ?></div></li>
                                  <?php }?>  
                                                
                                  <?php if(get_field('sms')){?>
                                        <li class="act-free"><div class="text-box">SMS <br/> <?php the_field('sms');?></div></li>
                                  <?php }?>
                                  <?php if(get_field('calls')){?>
                                    <li class="un-calls"><div class="text-box">Calls <br/> <?php the_field('calls');?></div></li>
                                  <?php }?> 						  
                			</ul>
                
                		</div>
                		<div class="buttns">
                            <?php if(get_field('online_activation')){?>
                                <button class="act-on">active online</button>
                            <?php }?>                                
                			<button class="blue-btn <?php if(!get_field('online_activation')){?>no-online-btn<?php }?>">we'll call you for free</button>
                			<div class="clearfix"></div>   							
                		</div>
                		<a href="">further information </a>
                		
                    </div>
                			
                </div>
                <?php }?>
<?php         
                endwhile;
        		wp_reset_postdata();
            }elseif($internetLimitMobile && $internetLimitMobile != '0' && $smsLimitMobile == '0' && $callLimitMobile && $callLimitMobile != '0' ){ 
            
                //echo $monthlyPrice;
        		while( $query->have_posts() ): $query->the_post();
                $image = get_field('service_brand_logo');
                $internetLimitMobileValue = get_field('internet');
                $internetLimitMobileValue = str_replace('GB','', $internetLimitMobileValue);
                $internetLimitMobileValue = str_replace(' ','', $internetLimitMobileValue);
                if($internetLimitMobileValue){
                    $internetLimitMobileValue = (int)$internetLimitMobileValue;
                }
                
                $smsLimitMobileValue = get_field('sms');
                $smsLimitMobileValue = str_replace('SMS','', $smsLimitMobileValue);
                $smsLimitMobileValue = str_replace(' ','', $smsLimitMobileValue);
                if($smsLimitMobileValue){
                    $smsLimitMobileValue = (int)$smsLimitMobileValue;
                }
                
                $callLimitMobileValue = get_field('calls');
                $callLimitMobileValue = str_replace('MINUTES','', $callLimitMobileValue);
                $callLimitMobileValue = str_replace(' ','', $callLimitMobileValue);
                if($callLimitMobileValue){
                    $callLimitMobileValue = (int)$callLimitMobileValue;
                }
                
                if($internetLimitMobileValue >= $internetLimitMobile || $internetLimitMobileValue == 'Unlimited'  && $callLimitMobileValue >= $callLimitMobile || $callLimitMobileValue == 'Unlimited'){
               
?>
    
                <div class="ultra-fiber light-background">
                	<div class="blue-header"></div>
                	<div class="blue-blocks-body">
                		<div class="block-cost">
            					<?php if(get_field('starting_price')){?>
                                    <p>Cost: <?php the_field('starting_price');?> &euro; / month</p>
                                <?php } ?>  
                                <?php if(get_field('sim_cost')){ ?>
                                    <p> Sim Cost &euro; <?php  echo  get_field('sim_cost'); ?> / Year</p>
                                <?php } ?>  						
                		</div>
                		<div class="block-cost-middle">	
                			<?php if($image){?>
                			<img src="<?php echo $image['url'];?>"/>
                            <?php }else{?>
                            <img src=""/>
                            <?php }?>
                			<h1><?php the_title();?></h1>
                			<h2><?php the_field('sub_title');?></h2>    
                		</div>
                		<div class="block-cost">
                              <?php if(get_field('recommended_offer_cost')){?>
                						<div class="good-cost">GOOD COSTS: &euro; <?php the_field('recommended_offer_cost');?></div>
                                <?php }?>
                		</div>
                
                		<div class="clearfix"></div>
                		<div class="offers-container">
                
                			<ul id="offers-single">
                                  <?php if($activation_fee == 0){ ?> 
            		                    <li class="act-free"><div class="text-box">Activation Fee <?php echo 'Free'; ?></div></li>
                                  <?php }
                                  else{ ?>
                                    <li class="act-free"><div class="text-box">Activation Fee &euro; <?php  the_field('activation_fee'); ?></div></li>
                                  <?php }?>  
                                                
                                  <?php if(get_field('sms')){?>
                                        <li class="act-free"><div class="text-box">SMS <br/> <?php the_field('sms');?></div></li>
                                  <?php }?>
                                  <?php if(get_field('calls')){?>
                                    <li class="un-calls"><div class="text-box">Calls <br/> <?php the_field('calls');?></div></li>
                                  <?php }?> 						  
                			</ul>
                
                		</div>
                		<div class="buttns">
                            <?php if(get_field('online_activation')){?>
                                <button class="act-on">active online</button>
                            <?php }?>                                
                			<button class="blue-btn <?php if(!get_field('online_activation')){?>no-online-btn<?php }?>">we'll call you for free</button>
                			<div class="clearfix"></div>   							
                		</div>
                		<a href="">further information </a>
                		
                    </div>
                			
                </div>
                <?php }?>
<?php         
                endwhile;
        		wp_reset_postdata();
            }elseif($internetLimitMobile == '0' && $smsLimitMobile && $smsLimitMobile != '0' && $callLimitMobile && $callLimitMobile != '0' ){ 
            
                //echo $monthlyPrice;
        		while( $query->have_posts() ): $query->the_post();
                $image = get_field('service_brand_logo');
                $internetLimitMobileValue = get_field('internet');
                $internetLimitMobileValue = str_replace('GB','', $internetLimitMobileValue);
                $internetLimitMobileValue = str_replace(' ','', $internetLimitMobileValue);
                if($internetLimitMobileValue){
                    $internetLimitMobileValue = (int)$internetLimitMobileValue;
                }
                
                $smsLimitMobileValue = get_field('sms');
                $smsLimitMobileValue = str_replace('SMS','', $smsLimitMobileValue);
                $smsLimitMobileValue = str_replace(' ','', $smsLimitMobileValue);
                if($smsLimitMobileValue){
                    $smsLimitMobileValue = (int)$smsLimitMobileValue;
                }
                
                $callLimitMobileValue = get_field('calls');
                $callLimitMobileValue = str_replace('MINUTES','', $callLimitMobileValue);
                $callLimitMobileValue = str_replace(' ','', $callLimitMobileValue);
                if($callLimitMobileValue){
                    $callLimitMobileValue = (int)$callLimitMobileValue;
                }
                
                if($smsLimitMobileValue >= $smsLimitMobile || $smsLimitMobileValue == 'Unlimited' && $callLimitMobileValue >= $callLimitMobile || $callLimitMobileValue == 'Unlimited'){
               
?>
    
                <div class="ultra-fiber light-background">
                	<div class="blue-header"></div>
                	<div class="blue-blocks-body">
                		<div class="block-cost">
            					<?php if(get_field('starting_price')){?>
                                    <p>Cost: <?php the_field('starting_price');?> &euro; / month</p>
                                <?php } ?>  
                                <?php if(get_field('sim_cost')){ ?>
                                    <p> Sim Cost &euro; <?php  echo  get_field('sim_cost'); ?> / Year</p>
                                <?php } ?>  						
                		</div>
                		<div class="block-cost-middle">	
                			<?php if($image){?>
                			<img src="<?php echo $image['url'];?>"/>
                            <?php }else{?>
                            <img src=""/>
                            <?php }?>
                			<h1><?php the_title();?></h1>
                			<h2><?php the_field('sub_title');?></h2>    
                		</div>
                		<div class="block-cost">
                              <?php if(get_field('recommended_offer_cost')){?>
                						<div class="good-cost">GOOD COSTS: &euro; <?php the_field('recommended_offer_cost');?></div>
                                <?php }?>
                		</div>
                
                		<div class="clearfix"></div>
                		<div class="offers-container">
                
                			<ul id="offers-single">
                                  <?php if($activation_fee == 0){ ?> 
            		                    <li class="act-free"><div class="text-box">Activation Fee <?php echo 'Free'; ?></div></li>
                                  <?php }
                                  else{ ?>
                                    <li class="act-free"><div class="text-box">Activation Fee &euro; <?php  the_field('activation_fee'); ?></div></li>
                                  <?php }?>  
                                                
                                  <?php if(get_field('sms')){?>
                                        <li class="act-free"><div class="text-box">SMS <br/> <?php the_field('sms');?></div></li>
                                  <?php }?>
                                  <?php if(get_field('calls')){?>
                                    <li class="un-calls"><div class="text-box">Calls <br/> <?php the_field('calls');?></div></li>
                                  <?php }?> 						  
                			</ul>
                
                		</div>
                		<div class="buttns">
                            <?php if(get_field('online_activation')){?>
                                <button class="act-on">active online</button>
                            <?php }?>                                
                			<button class="blue-btn <?php if(!get_field('online_activation')){?>no-online-btn<?php }?>">we'll call you for free</button>
                			<div class="clearfix"></div>   							
                		</div>
                		<a href="">further information </a>
                		
                    </div>
                			
                </div>
                <?php }?>
<?php         
                endwhile;
        		wp_reset_postdata();
            }else{ 
            
                //echo $monthlyPrice;
        		while( $query->have_posts() ): $query->the_post();
                $image = get_field('service_brand_logo');
                $internetLimitMobileValue = get_field('internet');
                $internetLimitMobileValue = str_replace('GB','', $internetLimitMobileValue);
                $internetLimitMobileValue = str_replace(' ','', $internetLimitMobileValue);
                if($internetLimitMobileValue){
                    $internetLimitMobileValue = (int)$internetLimitMobileValue;
                }
                
                $smsLimitMobileValue = get_field('sms');
                $smsLimitMobileValue = str_replace('SMS','', $smsLimitMobileValue);
                $smsLimitMobileValue = str_replace(' ','', $smsLimitMobileValue);
                if($smsLimitMobileValue){
                    $smsLimitMobileValue = (int)$smsLimitMobileValue;
                }
                
                $callLimitMobileValue = get_field('calls');
                $callLimitMobileValue = str_replace('MINUTES','', $callLimitMobileValue);
                $callLimitMobileValue = str_replace(' ','', $callLimitMobileValue);
                if($callLimitMobileValue){
                    $callLimitMobileValue = (int)$callLimitMobileValue;
                }
               
?>
    
                <div class="ultra-fiber light-background">
                	<div class="blue-header"></div>
                	<div class="blue-blocks-body">
                		<div class="block-cost">
            					<?php if(get_field('starting_price')){?>
                                    <p>Cost: <?php the_field('starting_price');?> &euro; / month</p>
                                <?php } ?>  
                                <?php if(get_field('sim_cost')){ ?>
                                    <p> Sim Cost &euro; <?php  echo  get_field('sim_cost'); ?> / Year</p>
                                <?php } ?>  						
                		</div>
                		<div class="block-cost-middle">	
                			<?php if($image){?>
                			<img src="<?php echo $image['url'];?>"/>
                            <?php }else{?>
                            <img src=""/>
                            <?php }?>
                			<h1><?php the_title();?></h1>
                			<h2><?php the_field('sub_title');?></h2>    
                		</div>
                		<div class="block-cost">
                              <?php if(get_field('recommended_offer_cost')){?>
                						<div class="good-cost">GOOD COSTS: &euro; <?php the_field('recommended_offer_cost');?></div>
                                <?php }?>
                		</div>
                
                		<div class="clearfix"></div>
                		<div class="offers-container">
                
                			<ul id="offers-single">
                                  <?php if($activation_fee == 0){ ?> 
            		                    <li class="act-free"><div class="text-box">Activation Fee <?php echo 'Free'; ?></div></li>
                                  <?php }
                                  else{ ?>
                                    <li class="act-free"><div class="text-box">Activation Fee &euro; <?php  the_field('activation_fee'); ?></div></li>
                                  <?php }?>  
                                                
                                  <?php if(get_field('sms')){?>
                                        <li class="act-free"><div class="text-box">SMS <br/> <?php the_field('sms');?></div></li>
                                  <?php }?>
                                  <?php if(get_field('calls')){?>
                                    <li class="un-calls"><div class="text-box">Calls <br/> <?php the_field('calls');?></div></li>
                                  <?php }?> 						  
                			</ul>
                
                		</div>
                		<div class="buttns">
                            <?php if(get_field('online_activation')){?>
                                <button class="act-on">active online</button>
                            <?php }?>                                
                			<button class="blue-btn <?php if(!get_field('online_activation')){?>no-online-btn<?php }?>">we'll call you for free</button>
                			<div class="clearfix"></div>   							
                		</div>
                		<a href="">further information </a>
                		
                    </div>
                			
                </div>
<?php         
                endwhile;
        		wp_reset_postdata();
            }
	   
        }
    
    }else{
       echo 'No posts found';
    }
    
    die();
}


add_action('wp_ajax_save_user_info', 'save_user_info_function'); // wp_ajax_{ACTION HERE} 
add_action('wp_ajax_nopriv_save_user_info', 'save_user_info_function');

function save_user_info_function(){
    $user_info['offer_name'] = $_POST['offer_name'];
    $user_info['offer_price'] = $_POST['offer_price'];
    $user_info['activation_fee'] = $_POST['activation_fee'];
    $user_info['modem_fee'] = $_POST['modem_fee'];
    $user_info['speed'] = $_POST['speed'];
    $user_info['calls_included'] = $_POST['calls_included'];
    $user_info['tv_included'] = $_POST['tv_included'];
    $user_info['language'] = $_POST['language_selection'];
    $user_info['salutation'] = $_POST['salutation'];
    $user_info['firstName'] = $_POST['firstName'];
    $user_info['lastName'] = $_POST['lastName'];
    $birth_date = $_POST['birth_date'];
    $birth_month = $_POST['birth_month'];
    $birth_year = $_POST['birth_year'];
    $ph_num_prefix = $_POST['ph_num_prefix'];
    $ph_num = $_POST['ph_num'];
    
    $user_info['ph_num'] = $ph_num_prefix.' '.$ph_num;
    $user_info['DOB'] = $birth_date.'/'.$birth_month.'/'.$birth_year;
    
    //echo json_encode($user_info);
    
    echo '<pre>';
    print_r($user_info);
    echo '</pre>';
    die();
}

function loadjs(){

	wp_register_script('bootstrapjs',get_template_directory_uri(). '/js/bootstrap.min.js','', 1, true);
	wp_enqueue_script('bootstrapjs');


}

add_action('wp_enqueue_scripts','loadjs');

function virtue_custom_login_form(){
    $nonce = wp_create_nonce('virtue-login-nonce');
	// show any error messages after form submission
	virtue_show_error_messages();
    echo '<form id="loginForm" action="" method="post">
            <div class="input-box">
                <label>Email<span>*</span></label>
                <input id="login_email" name="login_email" required="" type="text" />
            </div>
            <div class="input-box">
                <label>Password<span>*</span></label>
                <input class="form-control" id="login_pass" name="login_pass" type="password" value="" required="">
            </div>
            <input id="login_submit" name="login_submit" type="submit" value="Sign In" />
          </form>';
          
}

add_shortcode( 'login_form', 'virtue_custom_login_form' );

function virtue_user_login(){
    if (isset( $_POST["login_submit"] )){
        // this returns the user ID and other info from the user name
		$user = get_userdatabylogin($_POST['login_email']);
        //echo $_POST['login_email'];
        $user_roles=$user->roles;
        //print_r($user);
        //print_r($user_roles);
        
        if(!$user) {
			virtue_errors()->add('empty_username', __('Invalid username'));
		}
        
        // check the user's login with their password
		if(!wp_check_password($_POST['login_pass'], $user->user_pass, $user->ID)) {
			// if the password is incorrect for the specified user
            virtue_errors()->add('empty_password', __('Incorrect password'));
		}
        
        // retrieve all error messages
		$login_error = virtue_errors()->get_error_messages();
        
        // only log the user in if there are no errors
		if(empty($login_error)) {
 
			wp_set_auth_cookie($user->ID, true);
			wp_set_current_user($user->ID, $_POST['login_email']);	
			do_action('wp_login', $_POST['login_email']);
            if (in_array("administrator", $user_roles)){
                wp_redirect(home_url('admin-page')); exit;
            }else{
                wp_redirect(home_url()); exit;
            }
		}else{
            
		}
    }
}
add_action( 'after_setup_theme', 'virtue_user_login' );

// used for tracking error messages
function virtue_errors(){
    static $wp_error; // Will hold global variable safely
    return isset($wp_error) ? $wp_error : ($wp_error = new WP_Error(null, null, null));
}

function virtue_show_error_messages() {
	if($codes = virtue_errors()->get_error_codes()) {
		echo '<div class="error-container">';
        foreach($codes as $code){
            $message = virtue_errors()->get_error_message($code);
            echo '<p style="color: #ff0000">'.$message.'</p>';
        }
        echo '</div>';
	}	
}

add_action('wp_logout','auto_redirect_after_logout');
function auto_redirect_after_logout(){
  wp_redirect( home_url() );
  exit();
}

add_action('wp_ajax_delete_post_by_btn', 'delete_post_by_btn_function'); // wp_ajax_{ACTION HERE} 
add_action('wp_ajax_nopriv_delete_post_by_btn', 'delete_post_by_btn_function');

function delete_post_by_btn_function(){
    $deletePost = wp_delete_post($_POST['prdId']);
    if($deletePost){
        echo 'Product deleted successfully!';
    }else{
        echo 'There was an error. Please try again!';
    }
    die();
}

add_action('wp_ajax_delete_field_by_btn', 'delete_field_by_btn_function'); // wp_ajax_{ACTION HERE} 
add_action('wp_ajax_nopriv_delete_field_by_btn', 'delete_field_by_btn_function');

function delete_field_by_btn_function(){
    //echo $_POST['prdId'];
    $deletePost = acf_delete_field($_POST['prdId']);
    if($deletePost){
        echo 'Field deleted successfully!';
    }else{
        echo 'There was an error. Please try again!';
    }
    die();
}

add_action('wp_ajax_offer_taxonomy_set', 'offer_taxonomy_set_function'); // wp_ajax_{ACTION HERE} 
add_action('wp_ajax_nopriv_offer_taxonomy_set', 'offer_taxonomy_set_function');

function offer_taxonomy_set_function(){
    $prd_id = $_POST['prd_id'];
    //echo $_POST['prd_offer_kind'];
    
    wp_set_post_terms( $prd_id, $_POST['prd_offer_type'], 'offer_type' );
    wp_set_post_terms( $prd_id, $_POST['prd_offer_kind'], 'offer_kind' );
    wp_set_post_terms( $prd_id, $_POST['prd_operator_condition'], 'operator_condition' );
    wp_set_post_terms( $prd_id, $_POST['prd_general_offer'], 'general_offer' );
    wp_set_post_terms( $prd_id, $_POST['prd_technology_offer'], 'technology_offer' );
    wp_set_post_terms( $prd_id, $_POST['prd_call_limit'], 'call_limit' );
    wp_set_post_terms( $prd_id, $_POST['prd_offer_plan'], 'offer_plan' );
    die();
}

add_action('wp_ajax_add_new_field', 'add_new_field_function'); // wp_ajax_{ACTION HERE} 
add_action('wp_ajax_nopriv_add_new_field', 'add_new_field_function');

function add_new_field_function(){
    //echo $_POST['prd_cat'][0];
    //echo $_POST['custom_add_title'];
    $custom_add_title_underscored = strtolower(str_replace(' ', '_', $_POST['custom_add_title']));
    if($_POST['prd_cat'][0] == 4){
        $field_group_id = 276;
    }elseif($_POST['prd_cat'][0] == 6){
        $field_group_id = 277;
    }elseif($_POST['prd_cat'][0] == 2){
        $field_group_id = 278;
    }elseif($_POST['prd_cat'][0] == 3){
        $field_group_id = 279;
    }elseif($_POST['prd_cat'][0] == 5){
        $field_group_id = 280;
    }
    
    $code = '';
    for($i = 0; $i < 10; $i++) { $code .= mt_rand(0, 9); }
    
    //echo $code;
    
    $args = array(
        'key' => 'field_' . $code,
        'label' =>  $_POST['custom_add_title'],
        'name' => $custom_add_title_underscored,
        'type' => 'text',
        'parent' => $field_group_id // hyphenated!
    );
    $add_acf_field = acf_update_field($args);
    
    if($add_acf_field){
        echo 'Field Added successfully!';
    }else{
        echo 'There was an error. Please try again!';
    }
    die();
}
?>